Parent project # 545 (Closed): [PJ230017]Handy Terminal Stock Management System phase1&2

Issue topics

16 Oct 2023 16:36 - Kittisak Isarapongporn

Status: Closed Start date: 16 Oct 2023

Priority: High Due date: 22 Oct 2023

Assignee: Kittisak Isarapongporn % Done: 100%

Category:  Estimated time: 56.00 hours

Target version:  Spent time: 37.00 hours

Finish date:  DB skills:  

Programming skills:  OS skills:  

Description

:: last updated: 2023-10-16

- Summarize the remaining topics and issues below.

1. Nisshin Ship & Air

- unit_qty from import (Is it use stock_in instead?)

YES.

[CLOSED]

2. Bom

- Supplier_no (Need to declare)

Try to use the supplier name to map to items.

The supplier would be changed according to items on tag label generator web page.

[IN PROGRESS]

- Duplicated error ( reference part no 2R5GM8129-1, product no MRO-F5AE2 )

Will check the entire 51 files by this month.

[IN PROGRESS]

 
- No need to management flag(Show only)

 MRO-F5AE2    2R5GM8129-1    248    250    2

2R5GM8129-1    2R5GM8129G    249    251    2

MRO-F5AE2    3B3GQ6592-1    266    268    2

3B3GQ6592-1    3B3GQ6592-1G    267    269    2

MRO-F5AE2    2R5AF5835-3    284    286    2

2R5AF5835-3    PP-RHA        285    287    2

[CLOSED]

- Outsource(3rd party) production

BOM doesn't provided the below information

1. Incharge - who will do the outbound job

2. Store - where will store the WIP

[IN PROGRESS]

BOM table

- Add the outsource_flg production

No need to do, will manage by the uncontrol items master

[CLOSED]

Generate the job

1. Outbound from PC (Outbound production)

2. Inbound to store (May be PC store like as material store)

3. Don't need to create the Inbound/Outbound material at production store

[CLOSED]

3. Item
- Create column stock_out_min_qty. The stock_out is used to define the withdrawn unit from its store(The unit has to be checked

when choosing the location within the store section referred to [item].[store_section]).

[IN PROGRESS]

4. Stock

- Create columns reserve_qty & reserve_unit.

[CLOSED]

5. Location

- Add section_id (Link to department ID)

[CLOSED]

6. Stock maintenance

- Need to check each label

[CLOSED]

7. Stock_out_min_qty

- In the case of the PC Store is as same as the production store

[CLOSED]

8. Uncontrol parts master

Informed to K.Thip. Waiting for information

[NEW TOPIC]

9. Reprint

[NEW TOPIC]

10. Request parts_no of plastic beads

Informed to K.Thip. Waiting for information

[NEW TOPIC]

11. Request supplier code in BOM

[DUPPLICATED]

History

#1 - 01 Nov 2023 17:28 - Kittisak Isarapongporn

- Status changed from New to In Progress

#2 - 24 Nov 2023 17:07 - Kittisak Isarapongporn

- % Done changed from 60 to 80

Fix new issues below

1. Prevent the scanning of the invalid label that doesn't have the packing standard.(HT)

2. Location master bugs (Web)

3. Add the NG/Good qty in INBOUND WIP function (HT)

4. Modify the store procedure to remove the INBOUND WIP while it would be received by material inbound (PO or NISSHIN).

5. Fix the plandate doesn't apprear (Web)

6. Disable the [Print Tag] button on INBOUND PRODUCTION (HT)

7. Allow to inbound the some of qty or not completed (HT).

8. Add the LOGOUT button(Web)

9. Modify the store procedure to support the separated BOM for spare part and service parts

10. Show label ID

#3 - 28 Nov 2023 01:32 - Kittisak Isarapongporn

- % Done changed from 80 to 90

Test and teach to the user.

There are topics and current issues that need to be checked below.

1. Is it able to automatically unit conversion finding the items with getStockFifo() e.g. finding 25kg -> 25,000 grams?

2. Expand the row height in an outbound function. (HT)

3. Display the warning pane dialog for the amount of QC waiting for confirmation.

4. Add the 2 functions for NG Inbound WIP (HT)

- Scan QC User ID if NG

- Show and keep the NG reason

5. Confirm with the user about the location GOOD/NG.
6. Confirm with the user about the store section of items.

7. Lot number report by FG Lot no.

8. NG report and confirmation(Recreate the work schedule).

9. Is it able to provide the label print function from the supplier?

#4 - 17 Jan 2024 17:42 - Kittisak Isarapongporn

- % Done changed from 90 to 100

#5 - 17 Jan 2024 17:43 - Kittisak Isarapongporn

- Status changed from In Progress to Close request

#6 - 30 Jan 2024 20:55 - Ryo Nozaki

- Status changed from Close request to Closed

#7 - 04 May 2024 16:16 - Ryo Nozaki

- Project changed from 26 to ACME INDUSTRY CO.,LTD.

- Parent task set to #545
